# Website

This website is built using [Docusaurus](https://docusaurus.io/), a modern static website generator.

### Installation

```
$ yarn
```

### Local Development

```
$ yarn start
```

This command starts a local development server and opens up a browser window. Most changes are reflected live without having to restart the server.

### Build

```
$ yarn build
```

This command generates static content into the `build` directory and can be served using any static contents hosting service.

### Deployment

Using SSH:

```
$ USE_SSH=true yarn deploy
```

Not using SSH:

```
$ GIT_USER=<Your GitHub username> yarn deploy
```

If you are using GitHub pages for hosting, this command is a convenient way to build the website and push to the `gh-pages` branch.

### Build Docker image

```bash
docker build -t git.devdisciples.com/devdisciples/m4gdocs:latest -t m4gdocs:latest .
```

### Push Docker image

```bash
docker push git.devdisciples.com/devdisciples/m4gdocs:latest
```

### Update in Kubernetes Cluster

Update the image by deleting the old pod, this will automatically pull in the latest image and deploy it.
Run the following command on the relevant node to achieve this.

```bash
kubectl delete pods -l app=m4g-docs
```
